com.impinj.stp

## Enum StpApi.RegulatoryRegion

- java.lang.Object
- - java.lang.Enum<StpApi.RegulatoryRegion>
  - - com.impinj.stp.StpApi.RegulatoryRegion

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.RegulatoryRegion>
  Enclosing class:
    StpApi

      public static enum StpApi.RegulatoryRegion
      extends java.lang.Enum<StpApi.RegulatoryRegion>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.RegulatoryRegion` RF regulatory region.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REGULATORY_REGION_AUSTRALIA_920_926_MHZ`
    `REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ`
    `REGULATORY_REGION_CHINA_920_925_MHZ`
    `REGULATORY_REGION_ETSI_EN_300_220`
    `REGULATORY_REGION_ETSI_EN_302_208_LBT`
    `REGULATORY_REGION_ETSI_EN_302_208_V1_2_1`
    `REGULATORY_REGION_FCC_PART_15_247`
    `REGULATORY_REGION_HONG_KONG_920_925_MHZ`
    `REGULATORY_REGION_INDIA_865_867_MHZ`
    `REGULATORY_REGION_INDONESIA_923_925_MHZ`
    `REGULATORY_REGION_ISRAEL_915_917_MHZ`
    `REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT`
    `REGULATORY_REGION_JAPAN_952_954_MHZ`
    `REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER`
    `REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT`
    `REGULATORY_REGION_KOREA_917_921_MHZ`
    `REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ`
    `REGULATORY_REGION_MALAYSIA_919_921_MHZ`
    `REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ`
    `REGULATORY_REGION_PHILIPPINES_918_920_MHZ`
    `REGULATORY_REGION_SINGAPORE_920_925_MHZ`
    `REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ`
    `REGULATORY_REGION_TAIWAN_922_928_MHZ`
    `REGULATORY_REGION_THAILAND_920_925_MHZ`
    `REGULATORY_REGION_URUGUAY_916_928_MHZ`
    `REGULATORY_REGION_VIETNAM_920_925_MHZ`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REGULATORY_REGION_AUSTRALIA_920_926_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_CHINA_920_925_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_ETSI_EN_300_220_VALUE`
    `static int` | `REGULATORY_REGION_ETSI_EN_302_208_LBT_VALUE`
    `static int` | `REGULATORY_REGION_ETSI_EN_302_208_V1_2_1_VALUE`
    `static int` | `REGULATORY_REGION_FCC_PART_15_247_VALUE`
    `static int` | `REGULATORY_REGION_HONG_KONG_920_925_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_INDIA_865_867_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_INDONESIA_923_925_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_ISRAEL_915_917_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT_VALUE`
    `static int` | `REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER_VALUE`
    `static int` | `REGULATORY_REGION_JAPAN_952_954_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT_VALUE`
    `static int` | `REGULATORY_REGION_KOREA_917_921_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_MALAYSIA_919_921_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_PHILIPPINES_918_920_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_SINGAPORE_920_925_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_TAIWAN_922_928_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_THAILAND_920_925_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_URUGUAY_916_928_MHZ_VALUE`
    `static int` | `REGULATORY_REGION_VIETNAM_920_925_MHZ_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.RegulatoryRegion>` | `internalGetValueMap()`
    `static StpApi.RegulatoryRegion` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.RegulatoryRegion` | `valueOf(int value)`
    `static StpApi.RegulatoryRegion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.RegulatoryRegion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGULATORY_REGION_FCC_PART_15_247

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_FCC_PART_15_247

    - #### REGULATORY_REGION_ETSI_EN_300_220

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_ETSI_EN_300_220

    - #### REGULATORY_REGION_ETSI_EN_302_208_LBT

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_ETSI_EN_302_208_LBT

    - #### REGULATORY_REGION_HONG_KONG_920_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_HONG_KONG_920_925_MHZ

    - #### REGULATORY_REGION_TAIWAN_922_928_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_TAIWAN_922_928_MHZ

    - #### REGULATORY_REGION_JAPAN_952_954_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_JAPAN_952_954_MHZ

    - #### REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER

    - #### REGULATORY_REGION_ETSI_EN_302_208_V1_2_1

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_ETSI_EN_302_208_V1_2_1

    - #### REGULATORY_REGION_KOREA_917_921_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_KOREA_917_921_MHZ

    - #### REGULATORY_REGION_MALAYSIA_919_921_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_MALAYSIA_919_921_MHZ

    - #### REGULATORY_REGION_CHINA_920_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_CHINA_920_925_MHZ

    - #### REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT

    - #### REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ

    - #### REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ

    - #### REGULATORY_REGION_THAILAND_920_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_THAILAND_920_925_MHZ

    - #### REGULATORY_REGION_SINGAPORE_920_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_SINGAPORE_920_925_MHZ

    - #### REGULATORY_REGION_AUSTRALIA_920_926_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_AUSTRALIA_920_926_MHZ

    - #### REGULATORY_REGION_INDIA_865_867_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_INDIA_865_867_MHZ

    - #### REGULATORY_REGION_URUGUAY_916_928_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_URUGUAY_916_928_MHZ

    - #### REGULATORY_REGION_VIETNAM_920_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_VIETNAM_920_925_MHZ

    - #### REGULATORY_REGION_ISRAEL_915_917_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_ISRAEL_915_917_MHZ

    - #### REGULATORY_REGION_PHILIPPINES_918_920_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_PHILIPPINES_918_920_MHZ

    - #### REGULATORY_REGION_INDONESIA_923_925_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_INDONESIA_923_925_MHZ

    - #### REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ

    - #### REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT

    - #### REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ

          public static final StpApi.RegulatoryRegion REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ

  - ### Field Detail

    - #### REGULATORY_REGION_FCC_PART_15_247_VALUE

          public static final int REGULATORY_REGION_FCC_PART_15_247_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_ETSI_EN_300_220_VALUE

          public static final int REGULATORY_REGION_ETSI_EN_300_220_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_ETSI_EN_302_208_LBT_VALUE

          public static final int REGULATORY_REGION_ETSI_EN_302_208_LBT_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_HONG_KONG_920_925_MHZ_VALUE

          public static final int REGULATORY_REGION_HONG_KONG_920_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_TAIWAN_922_928_MHZ_VALUE

          public static final int REGULATORY_REGION_TAIWAN_922_928_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_JAPAN_952_954_MHZ_VALUE

          public static final int REGULATORY_REGION_JAPAN_952_954_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER_VALUE

          public static final int REGULATORY_REGION_JAPAN_952_954_MHZ_LOWPOWER_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_ETSI_EN_302_208_V1_2_1_VALUE

          public static final int REGULATORY_REGION_ETSI_EN_302_208_V1_2_1_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_KOREA_917_921_MHZ_VALUE

          public static final int REGULATORY_REGION_KOREA_917_921_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_MALAYSIA_919_921_MHZ_VALUE

          public static final int REGULATORY_REGION_MALAYSIA_919_921_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_CHINA_920_925_MHZ_VALUE

          public static final int REGULATORY_REGION_CHINA_920_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT_VALUE

          public static final int REGULATORY_REGION_JAPAN_952_956_MHZ_NO_LBT_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ_VALUE

          public static final int REGULATORY_REGION_SOUTH_AFRICA_915_919_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ_VALUE

          public static final int REGULATORY_REGION_BRAZIL_902_907_AND_915_928_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_THAILAND_920_925_MHZ_VALUE

          public static final int REGULATORY_REGION_THAILAND_920_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_SINGAPORE_920_925_MHZ_VALUE

          public static final int REGULATORY_REGION_SINGAPORE_920_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_AUSTRALIA_920_926_MHZ_VALUE

          public static final int REGULATORY_REGION_AUSTRALIA_920_926_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_INDIA_865_867_MHZ_VALUE

          public static final int REGULATORY_REGION_INDIA_865_867_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_URUGUAY_916_928_MHZ_VALUE

          public static final int REGULATORY_REGION_URUGUAY_916_928_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_VIETNAM_920_925_MHZ_VALUE

          public static final int REGULATORY_REGION_VIETNAM_920_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_ISRAEL_915_917_MHZ_VALUE

          public static final int REGULATORY_REGION_ISRAEL_915_917_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_PHILIPPINES_918_920_MHZ_VALUE

          public static final int REGULATORY_REGION_PHILIPPINES_918_920_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_INDONESIA_923_925_MHZ_VALUE

          public static final int REGULATORY_REGION_INDONESIA_923_925_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ_VALUE

          public static final int REGULATORY_REGION_NEW_ZEALAND_921P5_928_MHZ_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT_VALUE

          public static final int REGULATORY_REGION_JAPAN_916_921_MHZ_NO_LBT_VALUE

      See Also:
        Constant Field Values

    - #### REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ_VALUE

          public static final int REGULATORY_REGION_LATIN_AMERICA_902_928_MHZ_VALUE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.RegulatoryRegion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.RegulatoryRegion c : StpApi.RegulatoryRegion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.RegulatoryRegion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.RegulatoryRegion valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.RegulatoryRegion> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.RegulatoryRegion valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)